Subject: Re: [PATCH 1/3] net: fix socket memcg build with !CONFIG_NET

From: Glauber Costa <[email-masked]>
Date: Sat, 21 Jan 2012 18:17:26 +0400

On 01/20/2012 11:14 PM, David Miller wrote:
> From: Glauber Costa<[email-masked]>
> Date: Fri, 20 Jan 2012 18:57:14 +0400
>
>> There is still a build bug with the sock memcg code, that triggers
>> with !CONFIG_NET, that survived my series of randconfig builds.
>>
>> Signed-off-by: Glauber Costa<[email-masked]>
>> Reported-by: Randy Dunlap<rdunlap-/[email-masked]>
>> CC: Hiroyouki Kamezawa<[email-masked]>
>
> Why are you undoing the static branch optimization?  That was a one of
> the things that made me agree to even putting this code in.
>
> Find a way to fix this without removing the static branch.
>
Dave,

I am not removing the static branch. This is just a macro, that expands 
to the static branch when the options are in place, and to 0 if they are 
not.

if (0) { } is certainly be removed to the compiler, so the code is out
anyway.